<?php
/*
 *	Autor		: Janniboj
 *	Copyright	: (c) by Janniboj
 */
defined('jnSECURE') or die('Der direkte Zugriff auf diese Datei ist nicht erlaubt!');


/**
 *	Fehlerbehandlung
 */
error_reporting(E_ALL);
ini_set('display_errors', false);


/**
 *	Datenbankverbindung
 */
try
{
	$DB = new PDO('mysql:host=127.0.0.1;dbname=DATABASE', 'USERNAME', 'PASSWORD', array(PDO::ATTR_PERSISTENT => true));
	$DB->exec('SET CHARACTER SET utf8');
}
catch(PDOException $e)
{
	die($e->getMessage());
}


/**
 *	Benutzerkonten
 */
$jnClients = array
(
	'user1'	=> 'geheim',
	'user2'	=> 'geheim',
	'user3'	=> 'geheim'
);


/*
 *	Grundeinstellungen
 */
$jncfg['sys_sitename']		= 'Subnetz-System | jnFrameWork';
$jncfg['sys_siteurl']		= '';
$jncfg['sys_siteemail']		= '';
$jncfg['sys_cookiedomain']	= '';
$jncfg['sys_cookiepath']	= '/';
$jncfg['sys_maxpage']		= 25;


/*
 *	Verzeichnisstruktur
 */
$jncfg['dir_root']			= jnSECURE;
$jncfg['dir_layout']		= $jncfg['dir_root'].'layout/';
$jncfg['dir_system']		= $jncfg['dir_root'].'system/';
$jncfg['dir_core']			= $jncfg['dir_system'].'core/';
$jncfg['dir_coretpl']		= $jncfg['dir_system'].'coretpl/';
$jncfg['dir_function']		= $jncfg['dir_system'].'function/';


/**
 *	Weitere Dateien laden
 */
$site_content = $site_refresh = NULL;
require_once($jncfg['dir_function'].'default.php');

?>