<?php
/*
 *	Autor		: Janniboj
 *	Copyright	: (c) by Janniboj
 */
defined('jnSECURE') or die('Der direkte Zugriff auf diese Datei ist nicht erlaubt!');


$seite	= isset($_GET['p']) && (int)$_GET['p'] > 0 ? (int)$_GET['p'] : 1;
$start	= $seite * $jncfg['sys_maxpage'] - $jncfg['sys_maxpage'];
$mode	= isset($_GET['mode']) && in_array($_GET['mode'], array('new', 'edit')) ? $_GET['mode'] : NULL;


switch($mode)
{
	case 'new':

		if(isset($_POST['new_submit']))
		{
			$subnet = getEntities($_POST['subnet']);
			$description = getEntities($_POST['description']);

			if(preg_match('/^((1?\d{1,2}|2[0-4]\d|25[0-5])\.){3}(1?\d{1,2}|2[0-4]\d|25[0-5])$/', $subnet) && !empty($description))
			{
				try
				{
					$stmt = $DB->prepare('INSERT INTO `subnets` (`subnet`, `description`) VALUES (?, ?)');
					$stmt->bindParam(1, $subnet);
					$stmt->bindParam(2, $description);
					$stmt->execute();
				}
				catch(PDOException $e)
				{
					getEvent('Das angegebene Subnetz existiert bereits!', '', 'fail');
				}

				if($stmt->rowCount() == 1)
				{
					return getEvent('Das Subnetz <strong>'.$subnet.'</strong> wurde erfolgreich hinzugef&uuml;gt!', 'start', 'success');
				}
			}
			else
			{
				getEvent('Bitte f&uuml;llen Sie alle Felder ordnungsgem&auml;&szlig; aus!', '', '');
			}
		}
		else
		{
			$subnet = NULL;
			$description = NULL;
		}

		eval('$site_content.="'.getTpl('start_new').'";');

	break;




	case 'edit':

		if(isset($_GET['subnet']))
		{
			$subnet = getEntities($_GET['subnet']);

			$stmt = $DB->prepare('SELECT `description` FROM `subnets` WHERE `subnet` = ? LIMIT 1');
			$stmt->bindParam(1, $subnet);
			$stmt->execute();
			$row = $stmt->fetch();

			if($stmt->rowCount() == 0)
			{
				return getEvent('Das Subnetz <strong>'.$subnet.'</strong> wurde nicht gefunden!', 'start', 'fail');
			}

			$description = getEntities($row['description']);

			if(isset($_POST['edit_submit']))
			{
				$new_subnet = getEntities($_POST['subnet']);
				$description = getEntities($_POST['description']);

				if(isset($_POST['delete']) && $_POST['delete'] == 'Y')
				{
					$stmt = $DB->prepare('DELETE FROM `subnets` WHERE `subnet` = ? LIMIT 1');
					$stmt->bindParam(1, $subnet);
					$stmt->execute();

					if($stmt->rowCount() == 1)
					{
						return getEvent('Das Subnetz <strong>'.$subnet.'</strong> wurde erfolgreich gel&ouml;scht!', 'start', 'success');
					}
					else
					{
						getEvent('Das angegebene Subnetz konnte nicht gel&ouml;scht werden!', '', 'fail');
					}
				}

				if(preg_match('/^((1?\d{1,2}|2[0-4]\d|25[0-5])\.){3}(1?\d{1,2}|2[0-4]\d|25[0-5])$/', $new_subnet) && !empty($description))
				{
					try
					{
						$stmt = $DB->prepare('UPDATE `subnets` SET `subnet` = ?, `description` = ? WHERE `subnet` = ? LIMIT 1');
						$stmt->bindParam(1, $new_subnet);
						$stmt->bindParam(2, $description);
						$stmt->bindParam(3, $subnet);
						$stmt->execute();
					}
					catch(PDOException $e)
					{
						getEvent('Das angegebene Subnetz existiert bereits oder es wurden keine &Auml;nderungen vorgenommen!', '', 'fail');
					}


					if($stmt->rowCount() == 1)
					{
						return getEvent('Das Subnetz <strong>'.$new_subnet.'</strong> wurde erfolgreich bearbeitet!', 'start', 'success');
					}
				}
				else
				{
					getEvent('Bitte f&uuml;llen Sie alle Felder ordnungsgem&auml;&szlig; aus!', '', '');
				}
			}
		}
		else
		{
			return getEvent('Es wurde kein g&uuml;ltiges Subnetz ausgew&auml;hlt!', 'start', 'fail');
		}

		eval('$site_content.="'.getTpl('start_edit').'";');

	break;




	default:

		$stmt = $DB->prepare('SELECT `subnet`, `description` FROM `subnets` LIMIT '.$start.', '.$jncfg['sys_maxpage']);
		$stmt->execute();
		$subnet_list = NULL;
		$counter = ($seite-1)*$jncfg['sys_maxpage'];

		while($row = $stmt->fetch())
		{
			$class		= $counter % 2 == 0 ? 'left' : 'right';
			$subnet		= getEntities($row['subnet']);
			$description= nl2br(getEntities($row['description']));
			$counter++;

			eval('$subnet_list.="'.getTpl('start_row').'";');
		}

		if($counter == 0)
		{
			eval('$subnet_list.="'.getTpl('start_empty').'";');
		}

		$stmt = $DB->prepare('SELECT COUNT(*) FROM `subnets`');
		$stmt->execute();
		$amount = $stmt->fetchColumn();
		$maxseiten = ceil($amount / $jncfg['sys_maxpage']);
		$pagenav = getPagenav($seite, $maxseiten, '?page=start');

		eval('$site_content.="'.getTpl('start').'";');

	break;
}
?>