<?php
/*
 *	Autor		: Janniboj
 *	Copyright	: (c) by Janniboj
 */
defined('jnSECURE') or die('Der direkte Zugriff auf diese Datei ist nicht erlaubt!');



/*
 * Interpretiert ein Template
 */
function getTpl($tpl)
{
	global $jncfg;

	return str_replace('"', '\"', file_get_contents($jncfg['dir_coretpl'].$tpl.'.htm'));
}



/*
 * Gibt eine Event-Meldung wieder
 */
function getEvent($msg, $page, $type)
{
	global $site_refresh, $site_content;

	if(isset($page) && !empty($page))
	{
		$site_refresh = '<meta http-equiv="refresh" content="2; URL=?page='.$page.'">';
		$redirect = '<a href="?page='.$page.'">Sie werden weitergeleitet...</a>';
	}
	else
	{
		$site_refresh = NULL;
		$redirect = NULL;
	}

	$eventclass = !empty($type) ? 'event_'.$type : 'event_default';

	return eval('$site_content.="'.getTpl('event').'";');
}



/*
 * Prüft Anmeldestatus
 */
function getLoginStatus()
{
	return isset($_SESSION['client_name']) && !empty($_SESSION['client_name']);
}



/*
 * Lädt eine Funktionsdatei
 */
function getFunction($file)
{
	global $jncfg;

	require_once($jncfg['dir_function'].$file.'.php');
}



/*
 * Wandelt String in Entitäten um
 */
function getEntities($string)
{
	return trim(htmlspecialchars($string));
}



/*
 * Gibt eine Navigation wieder
 */
function getPagenav($site, $maxsites, $url = NULL)
{
	$anzahl	= 4;
	$anhang	= preg_match('/\?/', $url) ? '&amp;' : '?';

	if(substr($url, -1, 1) == '&')
	{
		$url = substr_replace($url, '', -1, 1);
	}
	elseif(substr($url,-1,1) == '?')
	{
		$anhang = '?';
		$url = substr_replace($url, '', -1, 1);
	}

	if($anzahl%2 != 0)
	{
		$anzahl++;
	}

	$a = $site-($anzahl/2);
	$b = 0;
	$blaetter = array();

	while($b <= $anzahl)
	{
		if($a > 0 && $a <= $maxsites)
		{
			$blaetter[] = $a;
			$b++;
		}
		elseif($a > $maxsites && ($a-$anzahl-2) >= 0)
		{
			$blaetter = array();
			$a -= ($anzahl+2);
			$b = 0;
		}
		elseif($a > $maxsites && ($a-$anzahl-2) < 0)
		{
			break;
		}

		$a++;
	}

	$return = NULL;

	if(!in_array(1, $blaetter) && count($blaetter) > 1)
	{
		$return.= !in_array(2, $blaetter) ? ' <a href="'.$url.$anhang.'p=1">erste</a> ...' : ' <a href="'.$url.$anhang.'p=1">1</a>';
	}

	foreach($blaetter as $blatt)
	{
		$return.= $blatt == $site ? ' <strong>'.$blatt.'</strong> ' : ' <a href="'.$url.$anhang.'p='.$blatt.'">'.$blatt.'</a>';
	}

	if(!in_array($maxsites, $blaetter) && count($blaetter) > 1)
	{
		$return.= !in_array(($maxsites-1), $blaetter) ? '... <a href="'.$url.$anhang.'p='.$maxsites.'">letzte</a> ' : ' <a href="'.$url.$anhang.'p='.$maxsites.'">'.$maxsites.'</a>';
	}

	return empty($return) ? 'Seite: <strong>1</strong>' : 'Seite: '.$return;
}

?>